Bug 158564 - [PATCH] update to and clang buildfix for lang/librep
Summary: [PATCH] update to and clang buildfix for lang/librep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-01 12:10 UTC by Niclas Zeising
Modified: 2011-07-30 21:00 UTC (History)
0 users

See Also:


Attachments
lang.librep.update.diff (23.47 KB, patch)
2011-07-01 12:10 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising 2011-07-01 12:10:06 UTC
	lang/librep is out of date and doesn't build with clang.

Fix: Attached patch updates lang/librep to latest version, and makes it build with clang.
Comment 1 Martin Wilke freebsd_committer 2011-07-01 13:56:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-07-12 05:41:30 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool at assignee request for the moment.
Comment 3 Rene Ladan freebsd_committer 2011-07-30 19:35:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 4 Rene Ladan freebsd_committer 2011-07-30 20:51:03 UTC
State Changed
From-To: open->closed

Committed (clang fix), version updating was already done
Comment 5 dfilter service freebsd_committer 2011-07-30 20:51:03 UTC
rene        2011-07-30 19:50:54 UTC

  FreeBSD ports repository

  Modified files:
    lang/librep          Makefile 
  Log:
  - Fix build with clang [1]
  - The part to update this port to 0.92.0 of [1]
    was already done as part of ports/158512
  
  PR:             ports/158564
  Submitted by:   Niclas Zeising
  
  Revision  Changes    Path
  1.83      +4 -1      ports/lang/librep/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"